

* Set your working directory
cd "/Users/bernardofanfani/Desktop/teaching/econ_pol_lavoro/_lab4/"


cap log close
log using "lecture_4.log", replace



* Apriamo il database

use t1_lalonde_nsw, clear

* L'estrazione casuale funziona? Le variabili misurate prima della partecipazione al programma sono uguali in media tra chi è stato selezionato e chi non è stato selezionato?
tabstat re75 age education black hispanic married nodegree, by(treat) stat(mean sd n) nototal long col(v)

* Possiamo anche testare formalmente questa ipotesi:
ttest re75, by(treat)
ttest age, by(treat)
ttest education, by(treat)
ttest black, by(treat)

* Possiamo testare l'ipotesi congiunta che tutte le variabili siano in media uguali nel gruppo dei trattati e quello di controllo
reg treat re75 age education black hispanic married nodegree
test re75 age education black hispanic married nodegree 
* (Uguale al test F nell'output di regressione)

* Partecipare al programma ha effetti positivi sui redditi?

reg re78 treat

* Visto che la parteciapazione è casuale, non è necessario inserire ulterirori variabili dipendenti.
reg re78 treat re75 age education black hispanic married nodegree

* Un modo alternativo per stimare la stessa cosa:

* t-test on the difference in means across populations
* and two-sided p-value
ttest re78, by(treat)

log close


